// layouts/default.vue

<template>
    <div>
        <section class="hero is-dark">
            <div class="hero-head">
                <header class="navbar">
                <div class="container">
                    <div class="navbar-brand">
                    <nuxt-link class="navbar-item" to="/">
                        <img src="~/assets/logo_firefighter.png">
                        <h1>FIREFIGHTER</h1>
                    </nuxt-link>

                    <span class="navbar-burger burger" data-target="navbarMenuHeroC">
                        <span></span>
                        <span></span>
                        <span></span>
                    </span>
                    </div>
                    <div id="navbarMenuHeroC" class="navbar-menu">
                    <div class="navbar-end">
                        <nuxt-link class="navbar-item" to="/">
                            Accueil
                        </nuxt-link>
                        <span class="navbar-item">
                        <nuxt-link class="button is-success is-inverted" to="/parametres">
                            <span class="icon">
                                <img src="~/assets/settings.png">
                            </span>
                            <span>Paramètres</span>
                        </nuxt-link>
                        </span>
                    </div>
                    </div>
                </div>
                </header>
            </div>
        </section>
        <nuxt/>
    </div>
</template>

<script>
export default {
  mounted() {
    this.toggleMenu()
  },
  methods: {
    toggleMenu() {
      // Get all "navbar-burger" elements
      const $navbarBurgers = Array.prototype.slice.call(
        document.querySelectorAll('.navbar-burger'),
        0
      )

      // Check if there are any navbar burgers
      if ($navbarBurgers.length > 0) {
        // Add a click event on each of them
        $navbarBurgers.forEach(el => {
          el.addEventListener('click', () => {
            // Get the target from the "data-target" attribute
            const target = el.dataset.target
            const $target = document.getElementById(target)

            // Toggle the "is-active" class on both the "navbar-burger" and the "navbar-menu"
            el.classList.toggle('is-active')
            $target.classList.toggle('is-active')
          })
        })
      }
    }
  }
}
</script>

<style>
    html {
        font-family: 'Source Sans Pro', -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, 'Helvetica Neue', Arial, sans-serif;
    }

    .center {
    	display: flex;
    	justify-content: center;
    	align-items: center;
    }

    .emoticon {
      white-space: pre;
    }

    section {
        margin: 0px;
    }

</style>
